How to install a farm solution, in 2010 and 2013 mode, for SharePoint 2013

Jun 7, 2014 at 11:53 AM
Example
Install-SPSolution -Identity [SolutionName].wsp -GACDeployment -CompatibilityLevel 15
Install-SPSolution -Identity [SolutionName].wsp -GACDeployment -CompatibilityLevel {14, 15}

Is that possible with SPSD?

Thanks for some feedbacks!
Best Regards
Coordinator
Jun 7, 2014 at 7:10 PM
Yes, this is possible.

Just specify in your environment XML file the attribute
CompatibilityLevel="[14|15|14,15]" either in the <Solutions> or any underlying <Solution> (without s) node.

The provided Default.xml described it also in the comments.
Regards,
Matt
Jun 10, 2014 at 9:20 AM
ok, i see!


Unfortunately with SPSD_Environment_Editor_4.2.1.2349 it will override the setting.

Gruess
Philipp
Coordinator
Jun 10, 2014 at 6:43 PM
Yeah, I haven't had time yet to update the environment editor to the latest XML schema, but you can easily add this afterwards in the XML.
Coordinator
Aug 29, 2014 at 9:23 AM
The source for the Environment Editor is available at https://github.com/rencoreab/SharePoint-Solution-Deployer/tree/master/SPSD.Editor
Feel free to contribute.